package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.FeeTypeEnum;
import com.ym.mec.biz.dal.enums.PaymentChannelEnum;

import java.math.BigDecimal;

public class RouteScaleDto {

    private Integer organId;

    private PaymentChannelEnum payType;

    private Integer scale;

    private String merNo;

    private BigDecimal amount = BigDecimal.ONE;

    private String feeFlag;

    private FeeTypeEnum feeType;

    private BigDecimal balance = BigDecimal.ZERO;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getFeeFlag() {
        return feeFlag;
    }

    public void setFeeFlag(String feeFlag) {
        this.feeFlag = feeFlag;
    }


    public Integer getScale() {
        return scale;
    }

    public void setScale(Integer scale) {
        this.scale = scale;
    }

    public PaymentChannelEnum getPayType() {
        return payType;
    }

    public void setPayType(PaymentChannelEnum payType) {
        this.payType = payType;
    }

    public FeeTypeEnum getFeeType() {
        return feeType;
    }

    public void setFeeType(FeeTypeEnum feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }
}
